## Description
<!--- Describe your changes in detail -->

<!-- You can erase any parts of this template not applicable to your Pull Request. -->

## Motivation and Context
<!--- Why is this change required? What problem does it solve? -->
<!--- If it fixes an open issue, please link to the issue here. -->

### All Submissions:
* [ ] I followed the guidelines in our [Contributing document](https://github.com/orgs/Vonage/teams/vivid-core/discussions/2)?
* [ ] My code follows the code style of this project
* [ ] I checked to ensure there aren't other open [Pull Requests](../../../pulls) for the same update/change?

## Screenshots (if appropriate):

## Types of changes
<!--- What types of changes does your code introduce? Put an `x` in all the boxes that apply: -->
* [ ] Bug fix (non-breaking change which fixes an issue)
* [ ] New feature (non-breaking change which adds functionality)
* [ ] Breaking change (fix or feature that would cause existing functionality to change)

## How Has This Been Tested?
<!--- Please describe in detail how you tested your changes. -->
<!--- Include details of your testing environment, and the tests you ran to -->
<!--- see how your change affects other areas of the code, etc. -->
* [ ] A11y tests
* [ ] Ui tests
* [ ] Unit and coverage
* [ ] Test for Aria [matching roles](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Roles)
* [ ] [Check the markup](https://validator.w3.org/)
* [ ] [Custom Control Accessible Development Checklist](https://w3c.github.io/using-aria/#checklist)
* [ ] Check unused/missing dependencies

## Checklist:
<!--- Go over all the following points, and put an `x` in all the boxes that apply. -->
<!--- If you're unsure about any of these, don't hesitate to ask. We're here to help! -->
* [ ] API Changes are documented in code and exported accordingly ([JSDoc](https://jsdoc.app/about-getting-started.html))
